Get automation run
curl --request GET \
--url https://app.outlit.ai/api/automations/{automationId}/runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.outlit.ai/api/automations/{automationId}/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.outlit.ai/api/automations/{automationId}/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"commandId": "<string>",
"commandVersion": 123,
"correlationId": "<string>",
"result": {
"operationId": "<string>",
"status": "<string>",
"resources": [
{
"type": "<string>",
"id": "<string>"
}
],
"data": {
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"automationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dedupeKey": "<string>",
"eventProcessedId": "<string>",
"eventName": "<string>",
"eventOccurredAt": "2023-11-07T05:31:56Z",
"matchedAt": "2023-11-07T05:31:56Z",
"destinationCount": 1,
"acceptedDestinationCount": 1,
"failedDestinationCount": 1,
"agentRunId": "<string>",
"skipReason": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deliveries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceId": "<string>",
"automationRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentOutputId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerEventId": "<string>",
"queuedAt": "2023-11-07T05:31:56Z",
"enqueueAttemptCount": 1,
"lastEnqueueAttemptAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorMessage": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"occurrences": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"signalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectId": "<string>",
"customerId": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"detectedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
},
"warnings": [
"<string>"
],
"auditId": "<string>"
}
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"error": "Invalid credentials"
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"error": "Internal server error"
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}Platform API
Get automation run
Get safe run details for one configured Outlit automation run. Read-only.
GET
/
api
/
automations
/
{automationId}
/
runs
/
{runId}
Get automation run
Authorizations
Outlit API key using the Bearer ok_... format.
Path Parameters
Automation ID.
Automation run ID.
Was this page helpful?
⌘I